Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.util
Interface Controllable

All Known Implementing Classes:
  MainServlet

    public interface Controllable

Any Server implementaion which should support restarting, should implement this interface

Method Summary
`org.apache.axis2.context.ConfigurationContext` | `getConfigurationContext()`
`java.lang.Thread` | `getShutdownHook()`
`void` | `restart()`
`void` | `restartGracefully()`
`void` | `setAxis2RepoLocation(java.lang.String axis2RepoLocation)`
`void` | `setConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)`
`void` | `setMonitor(Monitor monitor)`
`void` | `shutdown()`
`void` | `shutdownGracefully()`
`void` | `startServer()`
`void` | `stopListeners()`

Method Detail

### setAxis2RepoLocation

    void setAxis2RepoLocation(java.lang.String axis2RepoLocation)

### setMonitor

    void setMonitor(Monitor monitor)

### stopListeners

    void stopListeners()
                       throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### startServer

    void startServer()
                     throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### shutdown

    void shutdown()
                  throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### shutdownGracefully

    void shutdownGracefully()
                            throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### restart

    void restart()
                 throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### restartGracefully

    void restartGracefully()
                           throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### getShutdownHook

    java.lang.Thread getShutdownHook()

### setConfigurationContext

    void setConfigurationContext(org.apache.axis2.context.ConfigurationContext configurationContext)
                                 throws org.wso2.utils.ServerException

  Throws:
    `org.wso2.utils.ServerException`

### getConfigurationContext

    org.apache.axis2.context.ConfigurationContext getConfigurationContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD